# $reguser.mask

Returns the registration masks for a db entry

Syntax

    $reguser.mask(<name>[,<N>])

Description
Returns the <N>th registration mask for the registered user database record identified by <name>. If <N> is not given , returns an array of registration masks for that entry. If <name> does not identify a valid entry an empty string is returned; if <N> is out of range (or there are no masks at all) , an empty string is returned. <N> is a ZERO BASED index.
Examples

        [cmd]reguser.add Pragma[/cmd]
        reguser.addmask Pragma Pragma!*@*.it
        echo $reguser.mask(Pragma,0)

See also
Registered users database interface, Registered users database, [cmd]reguser.add[cmd], reguser.remove, reguser.addmask, reguser.delmask, reguser.list, [fnc]reguser.match[/fnc], [fnc]reguser.matchProperty[/fnc]

Main index, Function index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004